#ifndef _LSC_H_
#define _LSC_H_

#include "serutil.h"
#define LSC_MAX_CMDS 5

char *LscCmd(SerChannel *ser, const char *cmds);
/*
*/

int LscEqPar(char *par, char *res);
/*
  compare if parameters are equal (numbers as numbers, spaces ignored)
*/

struct { struct LscElem *next; char *cmnd; } LscElem;
typedef struct { struct LscElem *head, *tail; } LscList;

int LscPushCmd(LscList clist, char *cmnd);
/* 
  push a command on th command list. If cmnd points to a temporary buffer,
  strdup() must be used.
*/

int LscNextCmd(SerChannel *ser, LscList clist);
/*
  strip one line from LscList, and send it through LscCmdChk
  the list and the command buffers are freed when no longer used
*/

#endif /* _LSC_H_ */
